//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.2 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.02.07 at 09:07:12 PM CET 
//


package org.tdwg.abcd2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.NormalizedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * An atomized scientific name under the International Code of Zoological Nomenclature
 * 
 * <p>Java class for NameZoological complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NameZoological"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="GenusOrMonomial" type="{http://www.tdwg.org/schemas/abcd/3.0}Monomial" minOccurs="0"/&gt;
 *         &lt;element name="Subgenus" type="{http://www.tdwg.org/schemas/abcd/3.0}Monomial" minOccurs="0"/&gt;
 *         &lt;element name="SpeciesEpithet" type="{http://www.tdwg.org/schemas/abcd/3.0}Epithet" minOccurs="0"/&gt;
 *         &lt;element name="SubspeciesEpithet" type="{http://www.tdwg.org/schemas/abcd/3.0}Epithet" minOccurs="0"/&gt;
 *         &lt;element name="AuthorTeamOriginalAndYear" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="AuthorTeamParenthesisAndYear" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="CombinationAuthorTeamAndYear" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="Breed" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *         &lt;element name="NamedIndividual" type="{http://www.tdwg.org/schemas/abcd/3.0}String" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NameZoological", propOrder = {
    "genusOrMonomial",
    "subgenus",
    "speciesEpithet",
    "subspeciesEpithet",
    "authorTeamOriginalAndYear",
    "authorTeamParenthesisAndYear",
    "combinationAuthorTeamAndYear",
    "breed",
    "namedIndividual"
})
public class NameZoological {

    @XmlElement(name = "GenusOrMonomial")
    protected String genusOrMonomial;
    @XmlElement(name = "Subgenus")
    protected String subgenus;
    @XmlElement(name = "SpeciesEpithet")
    protected String speciesEpithet;
    @XmlElement(name = "SubspeciesEpithet")
    protected String subspeciesEpithet;
    @XmlElement(name = "AuthorTeamOriginalAndYear")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String authorTeamOriginalAndYear;
    @XmlElement(name = "AuthorTeamParenthesisAndYear")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String authorTeamParenthesisAndYear;
    @XmlElement(name = "CombinationAuthorTeamAndYear")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String combinationAuthorTeamAndYear;
    @XmlElement(name = "Breed")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String breed;
    @XmlElement(name = "NamedIndividual")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    @XmlSchemaType(name = "normalizedString")
    protected String namedIndividual;

    /**
     * Gets the value of the genusOrMonomial property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGenusOrMonomial() {
        return genusOrMonomial;
    }

    /**
     * Sets the value of the genusOrMonomial property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGenusOrMonomial(String value) {
        this.genusOrMonomial = value;
    }

    /**
     * Gets the value of the subgenus property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubgenus() {
        return subgenus;
    }

    /**
     * Sets the value of the subgenus property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubgenus(String value) {
        this.subgenus = value;
    }

    /**
     * Gets the value of the speciesEpithet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSpeciesEpithet() {
        return speciesEpithet;
    }

    /**
     * Sets the value of the speciesEpithet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSpeciesEpithet(String value) {
        this.speciesEpithet = value;
    }

    /**
     * Gets the value of the subspeciesEpithet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubspeciesEpithet() {
        return subspeciesEpithet;
    }

    /**
     * Sets the value of the subspeciesEpithet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubspeciesEpithet(String value) {
        this.subspeciesEpithet = value;
    }

    /**
     * Gets the value of the authorTeamOriginalAndYear property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAuthorTeamOriginalAndYear() {
        return authorTeamOriginalAndYear;
    }

    /**
     * Sets the value of the authorTeamOriginalAndYear property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAuthorTeamOriginalAndYear(String value) {
        this.authorTeamOriginalAndYear = value;
    }

    /**
     * Gets the value of the authorTeamParenthesisAndYear property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAuthorTeamParenthesisAndYear() {
        return authorTeamParenthesisAndYear;
    }

    /**
     * Sets the value of the authorTeamParenthesisAndYear property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAuthorTeamParenthesisAndYear(String value) {
        this.authorTeamParenthesisAndYear = value;
    }

    /**
     * Gets the value of the combinationAuthorTeamAndYear property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCombinationAuthorTeamAndYear() {
        return combinationAuthorTeamAndYear;
    }

    /**
     * Sets the value of the combinationAuthorTeamAndYear property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCombinationAuthorTeamAndYear(String value) {
        this.combinationAuthorTeamAndYear = value;
    }

    /**
     * Gets the value of the breed property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBreed() {
        return breed;
    }

    /**
     * Sets the value of the breed property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBreed(String value) {
        this.breed = value;
    }

    /**
     * Gets the value of the namedIndividual property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNamedIndividual() {
        return namedIndividual;
    }

    /**
     * Sets the value of the namedIndividual property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNamedIndividual(String value) {
        this.namedIndividual = value;
    }

}
